View Issue Details

IDProjectCategoryView StatusLast Update
0013678Tine 2.0Calendarpublic2018-03-08 14:06
ReportershochdoerferAssigned Topschuele 
Status resolvedResolutionfixed 
Product Version2017.08.10 Community Edition 
Target Version2018.02.2 Community EditionFixed in Version2018.02.2 Community Edition 
Summary0013678: Fatal error: Call to a member function getId() on a non-object in Calendar/Model/Attender.php
DescriptionReproducibility always refers to the right (or wrong) dataset in this case ;) One of our users has the problem that his CalDAV calendar resource shows the fatal error instead of the regular CalDAV output. The error happens in line 271 in the getResolvedUser() method of the Attender model. Apparently $clone->user_id (or $resource) is a string in this case, not an object as expected and thus the $resource->getId() call fails.

Not sure where this comes from, we haven't changed or deleted much data within Tine 2.0.
TagsNo tags attached.




2018-02-15 15:14

administrator   ~0021428

hi Stephan,

i committed a change that prevents the fatal error and throws a Tinebase_Exception_UnexpectedValue instead.
maybe you could find out, where the corrupted "resource" attendee object comes from.

Issue History

Date Modified Username Field Change
2018-01-02 17:14 shochdoerfer New Issue
2018-02-15 15:12 pschuele Assigned To => pschuele
2018-02-15 15:12 pschuele Status new => gerrit
2018-02-15 15:12 pschuele Target Version => 2018.02.2 Community Edition
2018-02-15 15:14 pschuele Note Added: 0021428
2018-03-08 14:06 pschuele Status gerrit => resolved
2018-03-08 14:06 pschuele Resolution open => fixed
2018-03-08 14:06 pschuele Fixed in Version => 2018.02.2 Community Edition